#
# spec file for package openstack-quickstart
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 2018.2+git.1551824067.55b31d5

Name:           openstack-quickstart
Version:        2018.2+git.1551824067.55b31d5
Release:        1.1
Summary:        OpenStack Quickstart
License:        MIT
Group:          System/Management
Url:            http://en.opensuse.org/SDB:Cloud_OpenStack_Quickstart
Source0:        %{name}-%{version}.tar.gz
%if 0%{?suse_version}
Suggests:       patterns-OpenStack-clients
Suggests:       patterns-OpenStack-compute-node
Suggests:       patterns-OpenStack-controller
Suggests:       patterns-OpenStack-network-node
%endif
Requires:       crudini
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Scripts and configs to easily generate an openstack demo setup.

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot}

%files
%license COPYING
%{_sbindir}/openstack-quickstart-*
%{_sbindir}/openstack-loopback-lvm
%{_bindir}/getkstoken
/usr/lib/devstack
/usr/lib/openstack-quickstart
%config %{_sysconfdir}/bash.openstackrc
%config %{_sysconfdir}/openstackquickstartrc

%changelog
* Wed Mar  6 2019 cloud-devel@suse.de
- Update to version 2018.2+git.1551824067.55b31d5:
  * quickstart: set up neutron-fwaas
* Fri Aug 31 2018 opensuse-packaging@opensuse.org
- Update to version 2018.2+git.1535700972.3b533d8:
  * quickstart: Adjust configuration settings for Rocky+
* Fri Mar  2 2018 dmueller@suse.com
- change version to 2018.2
* Fri Mar  2 2018 opensuse-packaging@opensuse.org
- Update to version 2018.1+git.1519987046.7efbd90:
  * Use auth_version v3 in tempest.conf
* Fri Mar  2 2018 opensuse-packaging@opensuse.org
- Update to version 2018.1+git.1519979736.7ed949a:
  * Set user and project domain names
  * Set project and user domain name
  * Sync create_keystone_accounts() function from devstack
  * Install openstack-neutron-vpnaas
  * Use openstack instead of neutron client
- Bump version to 2018.1
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1503569800.c195bde:
  * Copy correct barbican-api.conf vhost file
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1499165998.5cbe13f:
  * Use openstackclient to create security group rules
* Thu Jun 22 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1498059496.7f03b41:
  * cleanvm: fix horizon DB sync
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1492778587.6b659f7:
  * Setup monasca-agent
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1492611344.81bcdd5:
  * Adding support for monasca
* Fri Mar 31 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1490963771.d4be368:
  * Move aliases inside Keystone vhost configuration
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1487248325.5285c5d:
  * Setup nova-placement-api
  * Use transport_url
  * Setup a nova cell v2
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1487223090.94fd2d3:
  * Workaround rabbitmq startup problems
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version 2017.1+git.1486629571.d41efb4:
  * Use qemu instead of lxc as virt_type fallback
  * Check for net/subnet/router existance before creating it
  * Use get_or_*() functions for Heat
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version 2017.1+git.1481907325.1b61e5c:
  * Fix configuration for different services
* Fri Dec  9 2016 tbechtold@suse.com
- Update to version 2017.1+git.1481276120.cd7edbf:
  * Follow symlinks when changing files inplace with sed
* Sun Dec  4 2016 cloud-devel@suse.de
- Update to version 2017.1+git.1480852012.8bf7233:
  * Configure and enable a cinder backend
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version 2017.1+git.1480411096.e43bb61:
  + Add Sahara
  + Add Designate
  + Add Gnocchi
  + Retry a bit before using the manila-api service
  + Disable neutron.services.firewall.fwaas_plugin.FirewallPlugin
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version 2017.1+git.1479400045.8b0cdc7:
  +
* Thu Nov 17 2016 tbechtold@suse.com
- Update to version 2017.1+git.1479400045.8b0cdc7:
  * Create fernet_tokens on bootstrap
  * Stop using the admin token
* Thu Nov 17 2016 tbechtold@suse.com
- Bump version to 2017.1
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1479114165.e47b041:
  + cinder: register cinder v3 service and endpoint
* Wed Nov  9 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1478611590.171b4ec:
  + replace (tenant_id) with (project_id) in service endpoint registration urls
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1474875321.b59b7f2:
  + Update the name for Haproxy plugin_driver
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1474534389.bd21339:
  + Re-organize options for OpenStack Neutron Lbaas v2 service
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1474016758.0b833ae:
  + Fix service_provider and start OpenStack Neutron Lbaas v2 agent
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1473403430.35eb92a:
  +
* Fri Sep  9 2016 tbechtold@suse.com
- Update to version 2016.1+git.1473403430.35eb92a:
  * Use apache for keystone services
  * Switch to LoadBalancerPluginv2 service plugin
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1472043104.e590cce:
  + Use systemd if available to stop service
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1467910492.05504dc:
  + Removed barbican-api-paste.ini handling.
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1467722437.bb7183b:
  + fix typo in comment
* Tue Jul  5 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1467624841.727694f:
  + Added Barbican setup
* Mon May  9 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1462181475.c986c3a:
  + Pass parameters to setup_messaging_client
  + Move common functions from keystone_data.sh to functions.sh
  + Optionally install Magnum
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1460125255.86800ac:
  + Make manila installation optional
* Wed Apr  6 2016 tbechtold@suse.com
- Update to version 2016.1+git.1459927296.8478cca:
  + Remove old code to cleanup nova-volumes
  + Create manila-shares volume group
  + Cleanup Manila keystone auth setup
  + Configure Manila LVM driver
  + Configure Manila for Tempest
  + Install, enable and start openstack-manila data service
  + Allow specific devices for cinder and manila VGs
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1459847550.844ee2b:
  + Migrate nova API database after services are started
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1459456739.66a6c9d:
  + Start lvm2-lvmetad service when using lvm
  + Skip rabbitmq user creation if possible
  + Update keystone_data.sh script with code from devstack
  + Remove nova opts from neutron.conf DEFAULT
  + Fix keystone auth setup
  + Adjust heat.conf
  + Adjust tempest.conf
  + Fix startup of iscsid service
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1458632727.c67186f:
  + Fix keystone_authtoken middleware setup
  + Setup and configure the nova_api database
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version 2016.1+git.1458300495.637fe19:
  + Use ec2-api-s3 instead of removed nova-objectstore
* Thu Mar 17 2016 tbechtold@suse.com
- Bump version to 2016.1
* Thu Jan 21 2016 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1453372023.caa96f6:
  + restart wickedd before ifup
  + Adds option to enable/disable manila tests
* Fri Sep 25 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1443179318.567a9f3:
  + Adds admin endpoint url
  + Reverts previous commit
* Tue Sep 22 2015 tbechtold@suse.com
- Update to version 2015.2+git.1442929115.7af8b5e:
  + Install manila tempest tests
* Mon Sep 21 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1442815508.c3b19dc:
  + Wait a bit longer before using keystone
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1442313888.b9e13bf:
  + Deploy Manila V2 API
* Fri Aug 28 2015 tbechtold@suse.com
- Update to version 2015.2+git.1440747445.974920d:
  + Enables deactivate image test
  + Fixes for manila
* Thu Aug 27 2015 tbechtold@suse.com
- Update to version 2015.2+git.1440664273.762f92b:
  + Add a manila backend
* Sat Aug 15 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1439586494.7590592:
  + Add support for Manila
  + Reduce workers or glance, cinder and heat
* Tue Aug 11 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1439197656.62aa366:
  + Fix typo in iptables grep check
  + Set script type for POST_UP_SCRIPT
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1438597192.5efbee2:
  + linuxbridge_conf.ini is dead
  + Use openstack client
* Fri Jul 24 2015 seife+obs@b1-systems.com
- fix build for RHEL/CentOS 7
* Thu May 28 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1432734246.e941f74:
  + Update openstack-quickstart-demosetup
  + Update openstack-quickstart-demosetup
* Tue May 26 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1432633336.4a27718:
  + Create a Nova v2.1 endpoint
* Fri May 22 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1432242233.2d85546:
  + also allow ping ssh and so on in the demo tenant
  + enable tcp access to libvirt
  + Fix syntax error in libvirt config
  + Properly set authentication plugin for libvirt
  + Set the dashboard hosts
  + Increase postgres max db connections
  + Set a custom cpu mode
  + always just expose AVX
  + just set sandybridge
  + Fix max_connections for postgres
* Thu May 21 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1432162571.b83fbea:
  + Do not mess with dnsmasq
  + Disable debug on the dashboard
  + Add support for floating ip range with VLANs
  + Start nova/novaconsoleauth for horizon installations
  + start novncproxy
  + Skip setup of masquerading bridge when in vlan mode
  + Fix horizon memcache/postgresql setup
  + Fix start ordering of nova/horizon services
  + tune down keystone workers
  + Make sure nova .ssh directory is owned by nova
* Wed May 20 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1432059796.f92e3e7:
  + Fix handling of floating vlan
* Tue May 19 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1432056496.c8433fb:
  + Make start of nova-compute on the controller configurable
  + Remove metadata agent for the compute nodes
  + Make tenant eth device configurable
  + Fix dashboard
  + Remove network reconfiguration during quickstart
* Tue May 19 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1432007036.e5da3ab:
  + Convert glance configuration in nova to non-deprecated keywords
  + Start up a neutron linuxbridge agent on the extra nodes
  + Start a setup_nova_compute function to setup compute
  + Move tenant networks to use vlans for enabling multi-node setup
* Mon May 18 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1431915234.4e16a2d:
  + Fix service startup
  + Fix setup of keystone_authtoken for extra nodes
  + Fix up nova configuration
* Mon May 18 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1431886555.101e996:
  + Initial work on reviving openstack-quickstart-extranodesetup
* Sun May 17 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1431879426.daf2f75:
  + Start libvirtd after finishing all configuration
  + Avoid touching libvirt.conf for now
* Sun May 17 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1431845565.1733557:
  + Use systemd for loading kernel modules
  + Split out common functions into a functions.sh
  + cleanup
  + use the newly introduced functions.sh
  + Make setup of nova-compute optional
  + Always install tempest packages if tempest is enabled
* Sat May 16 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1431741289.9ce2079:
  + Start apache2 service when horizon is enabled
  + Fix startup of LBaaS agent
  + Fix configuration of V3 admin Domain
  + Enable Heat testing
* Tue May 12 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1431201639.d0aa07b:
  + Install FWaaS/LBaaS,VPNaaS
* Fri May  8 2015 opensuse-packaging@opensuse.org
- Update to version 2015.2+git.1431096460.bfc124c:
  + Fix setup of neutron / nova metadata proxy
  + Run MASQERADING script if its not run already
  + Adjust to newer tempest config
  + Revert "lbaas, fwaas, vpnaas was dropped upstream"
* Tue May  5 2015 cloud-devel@suse.de
- Update to version 2015.2+git.1430769755.d06ce61:
  + Fix support for systemd / SLE_12
  + fix network setup on SLE12 / kilo
* Thu Apr  9 2015 cloud-devel@suse.de
- Update to version 2015.1+git.1428588303.ffdb66f:
  + lbaas, fwaas, vpnaas was dropped upstream
* Fri Jan 30 2015 cloud-devel@suse.de
- Update to version 2015.1+git.1413527374.93318a9:
  +
* Fri Oct 17 2014 cloud-devel@suse.de
- Update to version 2015.1+git.1413527374.93318a9:
  + 13.2 dropped /etc/init.d/network
  + Stop setting deprecated config options
  + Fix name of cinderv2 service
  + Remove nova-volume endpoint registration
  + Fix glance database configuration setting
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version 2015.1+git.1412970310.0bfa978:
  + Stop setting deprecated config options
* Fri Sep 26 2014 dmueller@suse.com
- Update to version 2015.1+git.1411724630.2e8b471:
  + Fix name of cinderv2 service
  + Remove nova-volume endpoint registration
  + Fix glance database configuration setting
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1404995991.2f823cc:
  + Create hex string without dependency on bc
* Thu Jul 10 2014 dmueller@suse.com
- Update to version 2013.2+git.1404995211.0e8da8c:
  + Reindent (bash8 related fix)
  + Setup fixed_key for encrypted volumes
  + Configure Heat Domain/Trusts setup
  + Add Cinder V2 API endpoint
* Wed Jun  4 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1401782130.5b7a467:
  + Switch to using identity_uri instead of auth fragments
* Fri May 30 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1401458875.9423e72:
  + Fix typo that caused auth_urls to be all wrong
* Tue May 27 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1401198869.4fcb22f:
  + Disable ceilometer testing in tempest run
  + Fix start of novncproxy
  + obsolete
* Wed May 14 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1400110389.99654ea:
  + Handle missing network more gracefully
* Tue May 13 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1399989027.dc9ef5b:
  + Switch to vgs as vgscan is broken on openSUSE and newer
* Tue May 13 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1399981977.2e67ae3:
  + remoe setting of public_router
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1397635726.8bd72b2:
  + Fix defaults to match upstream more closely
  + Reduce memory pressure a bit
* Tue Apr 15 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1397467189.f3f2efa:
  + Fix FwaaS instantiation
* Mon Apr  7 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1396864561.397b081:
  + Configure FWaaS plugin
  + Set up communication with Nova
* Wed Mar 19 2014 dmueller@suse.com
- Update to version 2013.2+git.1395248710.2704f7d:
  + Fix start ordering issue
  + Configure tempest more completely
* Sat Feb 22 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1392994530.a5e30ad:
  + Enable Neutron MeteringPlugin
* Fri Feb 21 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1392910340.edcd268:
  + Fix Horizon setup
* Wed Feb 19 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1392721072.72a499a:
  + Cinder now needs dm_snapshot to be loaded
  + Make Neutron discovery work in exception mode
  + Cleanups
* Fri Feb 14 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1392282653.523cc53:
  + Enable use_namespaces consistently for dhcp and l3 agents
* Sat Jan 25 2014 dmueller@suse.com
- Update to version 2013.2+git.1390648558.984eeb5:
  + Install more neutron agents when running with tempest
  + Fix typo
* Fri Jan 24 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1390430134.14732ac:
  + configure metadata agentExtend range for fixed network
* Tue Jan 21 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1390214669.7b65bb0:
  + Install all neutron plugins for tempest runFix endpoint configuration in seednode
* Thu Jan 16 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1389788878.efbbef8:
  + Remove extranous database migration runsSet my_ip addresses properly
* Tue Jan 14 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1389702574.476cb5a:
  + Set default floating_ip pool name
* Tue Jan 14 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1389695705.4f42955:
  + Fix computev3 api port (contact nova, not neutron :-))
  + set compute-admin password as well
* Tue Jan 14 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1389636724.cf07be4:
  + Fix group names / enable neutron security groups
  + Make script pass run with set -e again
  + Switch to Neutron handled security groups
  + Setup ML2 Neutron plugin for demo setup
* Fri Jan 10 2014 dmueller@suse.com
- Update to version 2013.2+git.1389348819.a572e1f:
  + Setup Keystone catalog in SQL
  + Add Ceilometer catalog information
  + Correct Heat related endpoints
* Thu Jan  2 2014 cloud-devel@suse.de
- Update to version 2013.2+git.1388415104.fbfaa0d:
  + Enable boot.lvm on SLE11 and older
* Thu Dec 12 2013 dmueller@suse.com
- Update to version 2013.2+git.1386841867.f073be4:
  + Don't try to run journalctl on SLE11
  + set virt_type in libvirt group
* Tue Dec 10 2013 cloud-devel@suse.de
- Update to latest git (3874301):
  + libvirt_type was renamed to virt_type
* Thu Nov 21 2013 cloud-devel@suse.de
- Update to latest git (045ef1b):
  + Use zypper --force-resolution to install patterns.
* Tue Oct 29 2013 speilicke@suse.com
- Update to version 2013.2+git.1382872631.ace88d7:
  + Create /srv/tftpboot and assign it to novaAlso create pxelinux.cfg
  + Start dnsmasq manually and use it for tftp as well
  + delete unneeded tftp stuff
  + Fix dnsmasq command line
  + Add missing destination dir
  + Start baremetal deploy helper
  + set libvirt_uri as explained in LP Bug 1226310
  + Keystone migrates db on startup, extra call is unnecessary
- Update devstack to version master:
  + Enable keystone authentication in Ironicadd lib/stackforge to let us test wsme / pecan from git
  + Start nova-compute with child cell conf
  + Handle the CM service availability in tempest
  + create an UNDO_REQUIREMENTS variable
  + Removed dependency from dotcloud repos for the Nova docker driver
  + put the stackforge library installation behind a conditional
* Mon Oct 28 2013 cloud-devel@suse.de
- Update to latest git (ace88d7):
  + set libvirt_uri as explained in LP Bug 1226310
  + Keystone migrates db on startup, extra call is unnecessary
* Fri Oct 18 2013 cloud-devel@suse.de
- Update to latest git (4a12385):
  + Start baremetal deploy helper
* Mon Oct 14 2013 cloud-devel@suse.de
- Update to latest git (3a41525):
  + Add Quickstart script to setup a TripleO Seed Node
  + tripleo-setup-seednode: Start the missing nova services
  + Upload deploy kernel and ramdisk to glance
  + set neutron data in nova.conf
  + Set securitygroup driver + host name to seed
  + Use x86_64 consistently
  + lower scheduler hints for successful baremetal scheduling
  + set correct power_host options
  + set tftp root properly
  + setup undercloud image in glance
  + Create /srv/tftpboot and assign it to nova
  + Also create pxelinux.cfg
  + Start dnsmasq manually and use it for tftp as well
  + delete unneeded tftp stuff
  + Fix dnsmasq command line
  + Add missing destination dir
* Tue Oct  1 2013 dmueller@suse.com
- update to latest git (cc514df):
  + Set up Keystone V3 endpoint
* Mon Sep 30 2013 dmueller@suse.com
- change requires
* Sat Sep 28 2013 cloud-devel@suse.de
- Update to latest git (2c030af):
  + Use crudini instead of openstack-utils
* Mon Sep 23 2013 cloud-devel@suse.de
- Update to latest git (a7446e5):
  + Configure Neutron configuration in Tempest properly
* Fri Sep 13 2013 dmueller@suse.com
- Update to latest git (d30a080):
  + Various fixes for openSUSE Factory
* Sun Jul 14 2013 cloud-devel@suse.de
- Update to latest git (200c026):
  + Setup heat
  + add missing comment
  + Setup database connection in neutron
* Sun Jun  2 2013 cloud-devel@suse.de
- Update to latest git (e1b6374):
  + Revert "Apply SLES11 specific DNSMASQ class in dhcp-agent"
* Wed May 15 2013 cloud-devel@suse.de
- Update to latest git (f24617b):
  + fix cinder-volumes VG creation
* Wed May  8 2013 cloud-devel@suse.de
- Update to latest git (df9e4d1):
  + Fix bridge name for upstream interface.
* Thu May  2 2013 cloud-devel@suse.de
- Update to latest git (9628642):
  + replace -c column_name to -F column_name to work on SLES11
  + Apply SLES11 specific DNSMASQ class in dhcp-agent
* Thu Apr 25 2013 cloud-devel@suse.de
- Update to latest git (d4c9ee7):
  + Fix name of novncproxy init script
  + open-iscsi init script got renamed to iscsid
  + Also start openstack-nova-console service
  + Implement support for grizzly and quantum with linuxbridge.
* Sun Mar 17 2013 cloud-devel@suse.de
- Update to latest git (cf8af8b):
  + configure tgt for cinder
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to latest git (9b7cd13):
  + Run *-manage tools as the respective user for each service
  + Do not run mysql in cleanup if the binary is not there
* Mon Mar 11 2013 cloud-devel@suse.de
- Update to latest git (073d42e):
  + Only install postgresql91-server on SLE11, not on openSUSE
  + Fix typo that was breaking the "nova secgroup-*" calls at the end
* Fri Mar  8 2013 vuntz@suse.com
- Add patterns-OpenStack-clients and
  patterns-OpenStack-network-node Suggests as we'll get them
  installed with the demosetup script.
* Tue Mar  5 2013 cloud-devel@suse.de
- Update to latest git (943d412):
  + Don't set keystone catalog default driver.
  + Don't chown /var/lib/keystone.
  + Don't set glance flavour=keystone, done in package
  + Use openstack-config for setting lxc libvirt_type.
  + Shameless tab-killing spree
* Thu Feb 14 2013 cloud-devel@suse.de
- Update to latest git (fab4032):
  + Don't fix keystone/glance directory ownership errors here
  + Set nova.volume.cinder.API as nova's volume_api_class
  + Revert "Set nova.volume.cinder.API as nova's volume_api_class"
  + less error messages during execution
  + use openstack-config to setup values
  + cleanup
  + also start the quantum server
  + also install clients and network node pattern
* Thu Feb  7 2013 cloud-devel@suse.de
- Update to latest git (1df2290):
  + abort if a package couldn't be installed
  + Configure Cinder properly
  + Enable Cinder, Quantum, Swift and Heat Service endpoints
* Thu Feb  7 2013 dmueller@suse.com
- require openstack-utils for the demosetup
* Mon Feb  4 2013 cloud-devel@suse.de
- Update to latest git (0b1ec58):
  + openstack dashboard moved to /usr/share
  + Stop manipulating /etc/sudoers.
* Wed Jan 23 2013 saschpe@suse.de
- Update to latest git (d3a5de9):
  + Lotsa fixes
* Mon Jan 14 2013 saschpe@suse.de
- Move to master branch (from stable/folsom)
* Fri Jan 11 2013 saschpe@suse.de
- Update to latest git (7e19698):
  + Add cinder-rootwrap line to /etc/sudoers
* Fri Jan 11 2013 saschpe@suse.de
- Update to latest git (6cb26b5):
  + Use individual cinder init scripts
* Fri Jan 11 2013 saschpe@suse.de
- Switch to stable/folsom upstream branch
- Update to latest git (272d661):
  + Use cinder instead of nova volume
  + Postgresql fixes
* Tue Jan  8 2013 jenkins@suse.de
- Update to latest git (8af2c28):
  + adapt nova conf syntax
  + updates for Folsom glance
  + better cleanup
* Mon Dec 10 2012 jenkins@suse.de
- Update to latest git (9fef994):
  + Minor cleanups
  + Some postgresql-related fixes
  + Change current directory to /
  + make bridge name configurable
  + set x bit on scripts
  + fix postgresql 8/9 check for openSUSE
* Tue Dec  4 2012 vuntz@suse.com
- Move the source to git:
  https://github.com/SUSE-Cloud/openstack-quickstart
- Use _service to package the sources from git.
* Tue Aug 14 2012 bwiedemann@suse.com
- export OS_TENANT_NAME for new glanceclient
* Tue Aug  7 2012 bwiedemann@suse.com
- fix dashboard to use SSL,
  but not use secure cookies without SSL
* Fri Jul 27 2012 cthiel@suse.com
- update keystone_data.sh from upstream devstack (stable/essex branch)
* Thu Jul 19 2012 cthiel@suse.com
- change libvirt to run qemu as user qemu
* Fri Jul  6 2012 saschpe@suse.de
- fix pg_hba.conf 'horizon' database name
* Fri Jun 22 2012 bwiedemann@suse.com
- allow nova-rootwrap
* Wed Jun 13 2012 saschpe@suse.de
- Use SSL-enabled vhost with a self-signed certificate for dashboard
- Use secure session and csrf cookies in dashboard Django config
* Tue Jun 12 2012 saschpe@suse.de
- Use system users prefixed with 'openstack-'
* Tue Jun  5 2012 bwiedemann@suse.com
- allow to force lxc mode
* Wed Apr 18 2012 bwiedemann@suse.com
- fix hardcoded horizon PW
- also start consoleauth service
* Mon Apr  2 2012 jdsn@suse.de
- use postgresql by default for all services
- add support for postgresql for dashboard
* Fri Mar 16 2012 bwiedemann@suse.com
- check for existence of volumes file (fixes bnc#752035)
* Mon Feb 27 2012 bwiedemann@suse.com
- add postgresql support
* Tue Feb  7 2012 bwiedemann@suse.com
- only initialize db once for glance
- setup keystone for glance
* Tue Feb  7 2012 bwiedemann@suse.com
- split openstackquickstartrc
- update for new glance with two init scripts
* Tue Feb  7 2012 cstender@suse.com
- replace pipelines in /etc/nova/api-paste.ini to use keystone
* Mon Feb  6 2012 cstender@suse.com
- upgrade keystone database to latest schema before
  adding anything to it
* Mon Feb  6 2012 bwiedemann@suse.com
- add connection_type=libvirt
* Fri Jan 27 2012 bwiedemann@suse.com
- drop unsupported --flat_injected=False
* Sun Jan 22 2012 bwiedemann@suse.com
- declare this a noarch package
- include fix to make nova work with mariadb-5.2
* Thu Jan 19 2012 bwiedemann@suse.com
- re-add missing mkdir /cgroup for LXC
* Tue Jan 10 2012 bwiedemann@suse.com
- workaround systemd problem with cgroup in fstab
  use same lines in both setup scripts
* Tue Jan 10 2012 bwiedemann@suse.com
- include MIT license text (bnc#740488)
* Tue Jan 10 2012 mhrusecky@suse.cz
- fixed issue with python path
- minor readability cleanups
* Tue Dec 20 2011 bwiedemann@suse.com
- initial package
